maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Benjamin Bentmann (JIRA)" <j...@codehaus.org>
Subject [jira] Created: (MNG-3819) Plugins that don't declare dependency on plexus-utils no longer get plexus-utils:1.1
Date Fri, 07 Nov 2008 11:56:13 GMT
Plugins that don't declare dependency on plexus-utils no longer get plexus-utils:1.1
------------------------------------------------------------------------------------

                 Key: MNG-3819
                 URL: http://jira.codehaus.org/browse/MNG-3819
             Project: Maven 2
          Issue Type: Bug
          Components: Class Loading, Plugins and Lifecycle
    Affects Versions: 3.0-alpha-1
            Reporter: Benjamin Bentmann


To compensate for MNG-2892, Maven 2.0.6+ automatically injects plexus-utils:1.1 into the plugin
class realm if the plugin POM does not declare a (direct) dependency on plexus-utils:1.1+.
This backward-compat mode is currently not existent in Maven 3.x.

Even if this break is intentional for 3.x, this issue allows to track it.

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators: http://jira.codehaus.org/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message